jQuery(document).ready(function($){
    "use strict";
	
	jQuery('p.form-submit').addClass('col-sm-12');
	
	/*----------------------------
		jQuery MeanMenu
	------------------------------ */
	$('nav#dropdown').meanmenu();	
	
	
	/*----------------------------
		wow js active
	------------------------------ */
	new WOW().init();
 
	
	/*----------------------------
	Team area Activation
	------------------------------ */  
	$(".home1-team").owlCarousel({
       autoPlay: false, 
 	  slideSpeed:2000,
 	  pagination:false,
 	  navigation:false,	  
      items : 4,
 	  /*transitionStyle : "fade", */    /* [This code for animation ] */
 	  navigationText:["<i class='fa fa-angle-left'></i>","<i class='fa fa-angle-right'></i>"],
       itemsDesktop : [1199,3],
 	  itemsDesktopSmall : [980,2],
 	  itemsTablet: [768,1],
 	  itemsMobile : [479,1],
	
	});
	
	/*----------------------------
	Why Choose Slider Activation
	------------------------------ */  
	$(".why-choose-slider").owlCarousel({
		autoPlay: false, 
		slideSpeed:2000,
		pagination:false,
		navigation:true,    
		  items : 1,
		/* transitionStyle : "fade", */    /* [This code for animation ] */
		navigationText:["<i class='fa fa-long-arrow-left' aria-hidden='true'></i>","<i class='fa fa-long-arrow-right' aria-hidden='true'></i>"],
		  itemsDesktop : [1199,1],
		itemsDesktopSmall : [980,1],
		itemsTablet: [768,1],
		itemsMobile : [479,1],
	});

	/*--------------------------------
    Home1 Testimonial area Activation
	---------------------------------- */  
    $(".home1-testimonial").owlCarousel({
        autoPlay: true, 
		slideSpeed:2000,
		pagination:true,
		navigation:false,	  
        items : 2,
   	  /* transitionStyle : "fade", */    /* [This code for animation ] */
		navigationText:["<i class='fa fa-angle-left'></i>","<i class='fa fa-angle-right'></i>"],
        itemsDesktop : [1199,2],
		itemsDesktopSmall : [980,1],
		itemsTablet: [768,1],
		itemsMobile : [479,1],
    });
	
	$('#Container').mixItUp(); 
	
	if ($('.masonary-layout').length) {
        $('.masonary-layout').isotope({
            layoutMode: 'masonry'
        });
    }

    if ($('.post-filter').length) {
        $('.post-filter li').children('span').on('click', function() {
            var Self = $(this);
            var selector = Self.parent().attr('data-filter');
            $('.post-filter li').children('span').parent().removeClass('active');
            Self.parent().addClass('active');
            $('.filter-layout').isotope({
                filter: selector,
                stagger: 30,
                transitionDuration: 400,
                hiddenStyle: {
                    opacity: 0
                },
                visibleStyle: {
                    opacity: 1
                }
            });
            return false;
        });
    }
	
	if($('.masonary-layout').length) {
        $('.masonary-layout').isotope({
            layoutMode: 'masonry'
        });
    }

    if ($('.post-filter').length) {
        $('.post-filter li').children('span').on('click', function() {
            var Self = $(this);
            var selector = Self.parent().attr('data-filter');
            $('.post-filter li').children('span').parent().removeClass('active');
            Self.parent().addClass('active');
            $('.filter-layout').isotope({
                filter: selector,
                stagger: 30,
                transitionDuration: 400,
                hiddenStyle: {
                    opacity: 0
                },
                visibleStyle: {
                    opacity: 1
                }
            });
            return false;
        });
    }

    if ($('.post-filter.has-dynamic-filter-counter').length) {
        var activeFilterItem = $('.post-filter.has-dynamic-filter-counter').find('li');
        activeFilterItem.each(function() {
            var filterElement = $(this).data('filter');
            var count = $('.gallery-content').find(filterElement).length;

            $(this).children('span').append('<span class="count"><b>' + count + '</b></span>');
        });
    }
	/*-------------------------------
	Counter Up
	---------------------------------*/ 
	$('.about-counter').counterUp({
		delay: 50,
		time: 3000
	});
	
	
	/*---------------------------------
	Home2 Testimonial area Activation
	-----------------------------------*/  
	$(".home2-testimonial").owlCarousel({
		autoPlay: true, 
		slideSpeed:2000,
		pagination:true,
		navigation:false,   
		items : 1,
		/* transitionStyle : "fade", */    /* [This code for animation ] */
		navigationText:["<i class='fa fa-angle-left'></i>","<i class='fa fa-angle-right'></i>"],
		itemsDesktop : [1199,1],
		itemsDesktopSmall : [980,1],
		itemsTablet: [768,1],
		itemsMobile : [479,1],
	});
	
	 /*----------------------------
	Home2 Testimonial area Activation
	------------------------------ */  
	$(".total-partner-area").owlCarousel({
      autoPlay: true, 
 	  slideSpeed:2000,
 	  pagination:false,
 	  navigation:false,	  
      items : 6,
 	  /* transitionStyle : "fade", */    /* [This code for animation ] */
 	  navigationText:["<i class='fa fa-angle-left'></i>","<i class='fa fa-angle-right'></i>"],
      itemsDesktop : [1199,4],
 	  itemsDesktopSmall : [980,3],
 	  itemsTablet: [768,2],
 	  itemsMobile : [479,1],
	});

	
	/*------------------------------------
		SideSlide menu Activation
	-------------------------------------*/ 	   
	$('#slideBotton').on('click',function(){
		$('#sideSlide').toggleClass( "highlight" );
	});

	$("#slideBotton").on('click', function(){
		var check = $(this).hasClass( "open" );
		if(check){
			$(this).removeClass( "open" );
			$(this).children('i').removeClass( "fa-times" );
			$(this).children('i').addClass( "fa-bars" );
		}else{
			$(this).addClass( "open" );
			$(this).children('i').removeClass( "fa-bars" );
			$(this).children('i').addClass( "fa-times" );
		}
	}); 
	
	/* Pretty Photo Script
    ======================================================*/
	$('a[rel^="prettyPhoto"]').prettyPhoto({	
		animation_speed: 'normal',
        slideshow: 10000,
        autoplay_slideshow: true
	});
});