<?php 
	/*
	 * This file is used to generate comments form.
	 */	

	if (post_password_required()){
		?> <p class="nopassword"><?php echo esc_html__('This post is password protected. Enter password to view comments.','zapto'); ?></p> <?php
		return;
	}
if ( have_comments() ) : ?>
	<div class="comments-area margin-top">
	<h2><?php comments_number(esc_html__('No Comment','zapto'), esc_html__('One Comment','zapto'), esc_html__('% Comments','zapto') );?></h2>
		<?php wp_list_comments(array('callback' => 'zapto_comment_list')); ?>
	</div>
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<div class="comments-navigation">
			<div class="previous"> <?php previous_comments_link(esc_html__('Older Comments','zapto')); ?> </div>
			<div class="next"> <?php next_comments_link(esc_html__('Newer Comments','zapto')); ?> </div>
		</div>
	<?php endif; ?>
<?php endif; ?>
<div class="leave-comments-area margin-top">
	<fieldset>
	<?php 

		$comment_form = array( 
			
			'class_submit' => 'btn-send',
			
			'fields' => apply_filters( 'comment_form_default_fields', array(
				'author' => '
						<div class="col-sm-6">
							<div class="form-group">
						<input id="author" name="author" placeholder="'.esc_html__('Name *','zapto').'" type="text" value="'.esc_attr( $commenter['comment_author'] ).'" tabindex="1" class="form-control"/>
							</div>
						</div>',
				
				'email'  => 
							'<div class="col-sm-6">
								<div class="form-group">
							<input id="email" name="email" class="form-control" placeholder="'.esc_html__('Email *','zapto').'" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ).'" tabindex="2"/>
								</div>
							</div>',
				
				) ),
				
				'comment_field' => '' .
							'<div class="col-sm-12">
								<div class="form-group">'.										
							'<textarea placeholder="'.esc_html__('Comment *','zapto').'" id="comment" name="comment" aria-required="true" class="form-control"></textarea>
								</div>
							</div>' .
							'',
			'title_reply' =>'<h2>'.esc_html__('Leave Comment','zapto').'</h2>',
			'comment_notes_after' => '',
			'comment_notes_before' => '',
		);
		
		comment_form($comment_form, $post->ID); 
		
	?>
	</fieldset>
</div>