<?php
   function zapto_footer_style(){
	$zapto_show_flogo=zapto_get_option('enable_footer_logo');
	$zapto_logo_text=zapto_get_option('logo_text');
	$zapto_logo_subtext=zapto_get_option('logo_subtext');
	$zapto_logo_img=zapto_get_option('footer-logo');
	$zapto_copyright=zapto_get_option('copyright_text');
?>
	<!-- Footer Area Start Here -->
	<footer>
		<div class="footer-area">
			<div class="container">
				<div class="row">
				<?php 
					if ( is_active_sidebar('footer-sidebar') ) {
						dynamic_sidebar( 'footer-sidebar' );
					}
					?> 
				</div>
				<div class="row">
					<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
						<div class="footer-bottom">
						<?php if( $zapto_show_flogo==true ){?>
							<div class="logo-area">
								<a href="<?php echo esc_url(home_url('/'));?>">
								<span><?php echo esc_attr($zapto_logo_text);?></span> <?php echo esc_attr($zapto_logo_subtext);?></a>
							</div>
						<?php }else if($zapto_show_flogo==false && !empty($zapto_logo_img)){?>
							<div class="logo-area">
								<a href="<?php echo esc_url(home_url('/'));?>">
									<img src="<?php echo esc_url($zapto_logo_img['url']);?>"/>
								</a>
							</div>
						<?php }//end of footer logo condition?>
							<p>
							<?php  
					
								$allowed_html = array(
									'a' => array(
										'href' => array(),
										'target' => array()
									),
									'br' => array(),
									'strong' => array()
								);
								if( !empty($zapto_copyright) ){
									echo wp_kses(zapto_get_option('copyright_text'),$allowed_html);
								}
							?>
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</footer>
	<!-- Footer Area End Here -->
	
<?php
	
	echo zapto_side_menu();
	
	}/*end of footer style 1*/
?>