<?php
/*
 * This file is used to generate for managing page content.
 */
	get_header();
	global $post;
	$zapto_page_layout=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'page_layout',true);
	$zapto_show_sidebar=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'show_sidebar',true);
	$zapto_page_sidebar=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'page_sidebar',true);
	$zapto_sidebar_class=zapto_sidebar_func($zapto_show_sidebar);
	$zapto_show_slider=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'enable_slider',true);
	$zapto_slider_style=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'slider_style',true);
	if($zapto_show_slider <> 'no' && $zapto_slider_style == 'style_1'){
		echo zapto_page_slider();
	}else if($zapto_show_slider <> 'no' && $zapto_slider_style == 'style_3'){
		echo zapto_page_slider();
	}
?>
	<div class="content">
	<?php if( $zapto_page_layout <> "yes" ){?>
		<div class="container">
	<?php } ?>
			<div class="main_content">
				<div class="row">
					<div class="page_content">
						<?php
						if($zapto_show_sidebar == 'left-sidebar'){ ?>
						<div id="sidebar_left" class="page-sidebar-area <?php echo esc_attr($zapto_sidebar_class[1]);?>">
						<?php 
						if(is_active_sidebar($zapto_page_sidebar))
							dynamic_sidebar( $zapto_page_sidebar );
						?>
						</div>
						<?php 
							}
						?>
						<div id="content_block" class="<?php echo esc_attr($zapto_sidebar_class[0]);?>">
							<?php
								zapto_print_page_content();
							?>
						</div>
						<?php
						if( $zapto_show_sidebar == "right-sidebar" ){ ?>
							<div id="sidebar_right" class="page-sidebar-area <?php echo esc_attr($zapto_sidebar_class[1]);?>">
							<?php 
							if(is_active_sidebar($zapto_page_sidebar))
								dynamic_sidebar( $zapto_page_sidebar );
							?>
							</div>
						<?php } ?> 
					</div>
				</div>
			</div>
	<?php if( $zapto_page_layout <> "yes" ){?>
		</div>
	<?php } ?>
	</div>
<?php
  get_footer(); 
?>