<?php

/*
 * This file is used to generate WordPress standard archive/category pages.
 */
	get_header();
	$zapto_counter=1;
	$zapto_class='';
	$zapto_show_excerpt='';
	$zapto_sidebar='';
	$zapto_default_sidebar='';
	
	if( class_exists( 'Redux' ) ){
		$zapto_sidebar = zapto_get_option('default-sidebar');
		$zapto_default_sidebar= zapto_get_option('select-default-sidebar');
		$zapto_show_excerpt = zapto_get_option('enable_default_excerpt');
		$zapto_excerpt = zapto_get_option('default_excerpt');
		if($zapto_sidebar=="no-sidebar"){
			$zapto_sidebar_class[0]="col-md-12";
		}else{
			$zapto_sidebar_class[0]="col-md-9";
			$zapto_sidebar_class[1]="col-md-3";
		}
	}else{
		$zapto_sidebar_class[0]="col-md-9";
		$zapto_sidebar_class[1]="col-md-3";
		$zapto_default_sidebar='default-sidebar';
	}
	
	?>
	<!-- Home1 Blog Area Start Here -->
    <div class="home1-blog-area">
        <div class="container">
            <div class="row">
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<?php
						if($zapto_sidebar == 'left-sidebar'){ ?>
						<div id="sidebar_left" class="page-sidebar-area <?php echo esc_attr($zapto_sidebar_class[1]);?>">
						<?php 
						if(is_active_sidebar($zapto_default_sidebar))
							dynamic_sidebar( $zapto_default_sidebar );
						?>
						</div>
					<?php 
						}
					?>
					<div id="post-<?php the_ID(); ?>" class="<?php echo esc_attr($zapto_sidebar_class[0]);?>">
					<?php 
					if( have_posts() ){ 
						while ( have_posts() ){ 
						the_post();
						$zapto_post_comment = get_post($post);
						$zapto_img_size=array(770,330);
						if( $zapto_counter ==  1 ){
							$zapto_class='';
						}else if( $zapto_counter > 1 ){
							$zapto_class='padding-top1';
						}
					?> 	
						<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
							<div class="single-blog <?php echo esc_attr($zapto_class);?>">
								<div class="single-blog-images">
									<a href="<?php echo esc_url(get_the_permalink($post->ID));?>">
									<?php echo get_the_post_thumbnail($post->ID,$zapto_img_size);?>
									</a>
									<span><?php echo esc_attr(get_the_date(get_option('date_format')));?></span>
								</div>
								<h3><a href="<?php echo esc_url(get_the_permalink($post->ID));?>"><?php echo esc_attr(get_the_title());?></a></h3>
								<?php 
								if( $zapto_show_excerpt <> true ){
									the_content();
								}else{
									echo '<p>'.substr(get_the_content(),0,$zapto_excerpt).'</p>';
								}
								?>
								<div class="read-more">
									<a href="<?php echo esc_url(get_the_permalink($post->ID));?>"><?php esc_html_e('Read More','zapto');?>
									<i class="fa fa-long-arrow-right" aria-hidden="true"></i>
									</a>
								</div>
							</div>
						</div>
					<?php 
										
						}/* end of while loop */
					}else{
					?>
					<!-- Home1 Blog Area Start Here -->
					<div class="home1-four-0-4">
						<div class="container">
							<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
							<div class="four-zero-page-area">
								<h3><?php esc_html_e('Nothing Found','zapto');?></h3>
								<p><?php esc_html_e('Please try to search again','zapto');?></p>
								<div class="read-more">
									<a href="<?php echo esc_url(home_url('/'))?>">
									<?php esc_html_e('Go To Hompage','zapto');?></a>
								</div>
							</div>
						</div>
							</div>
						</div>
					</div>
					<!-- Home1 Blog Area End Here -->			
					<?php
					}/* end of error condition */			
					?>
						<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-left">
							<div class="pagination-area">
								<?php zapto_pagination();?>
							</div>
						</div>
					</div>
					<?php
					if(class_exists('Redux')){
						if($zapto_sidebar == "right-sidebar" ){ ?>
						<div id="sidebar_right" class="page-sidebar-area <?php echo esc_attr($zapto_sidebar_class[1]);?>">
						<?php 
						if(is_active_sidebar($zapto_default_sidebar))
							dynamic_sidebar( $zapto_default_sidebar );
						?>
						</div>
					<?php } 
					}else{
					?> 
					<div id="sidebar_right" class="page-sidebar-area <?php echo esc_attr($zapto_sidebar_class[1]);?>">
					<?php
						if(is_active_sidebar($zapto_default_sidebar))
							dynamic_sidebar( $zapto_default_sidebar );
					?> 
					</div>
					<?php 
					} 
					?>
				</div>
            </div>
        </div>
    </div>
<?php get_footer(); ?>