<?php
/*
 * The template for displaying featured content
 *
 */
?>
<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
	<div class="post_sticky">
		<?php
			
			$zapto_featured_posts = zapto_get_featured_posts();
			foreach( (array) $zapto_featured_posts as $order => $post ) :
				setup_postdata( $post ); 		
					
		?>
			<div class="single-blog padding-top1">
				<div class="single-blog-images">
					<a href="<?php echo esc_url(get_the_permalink($post->ID));?>">
					<?php echo get_the_post_thumbnail($post->ID,array(770,330));?>
					</a>
					<span><?php echo esc_attr(get_the_date('M j, Y'));?></span>
				</div>
				<h3><a href="<?php echo esc_url(get_the_permalink($post->ID));?>"><?php echo esc_attr(get_the_title());?></a></h3>
				<?php the_content();?>
				<div class="read-more">
					<a href="<?php echo esc_url(get_the_permalink($post->ID));?>"><?php esc_html_e('Read More','zapto');?>
					<i class="fa fa-long-arrow-right" aria-hidden="true"></i>
					</a>
				</div>
			</div>

		<?php
			
			endforeach;
			wp_reset_postdata();
		?>
	</div>
</div>