<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php esc_html(bloginfo( 'charset' )); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php esc_html(bloginfo( 'pingback_url' )); ?>">
	
	<?php
		/* For WordPress 4.3 or Later Only*/
		$zapto_favicon=zapto_get_option('favicon-img');
		if ( !function_exists('wp_site_icon') ) {
			// Output old, custom favicon feature.
			echo '<link rel="shortcut icon" href="'.esc_url($zapto_favicon['url']).'" />';
		}	
		
		wp_head(); 
	?>
</head>
<body <?php body_class();?>>
<!--WRAPPER START-->
<div class="wrapper">
<?php  
	global $post;
	$zapt_page_header='';
	if(isset($post->ID)){
		$zapt_page_header=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'page_header',true);
	}
	$zapto_header_style=zapto_get_option('header_style');
	$zapto_hstyle_apply=zapto_get_option('header_style_apply');
	if( $zapto_hstyle_apply=='enable' ){
		if( $zapto_header_style=='hstyle_1' ){
			zapto_header_style1();
		}else if( $zapto_header_style=='hstyle_2' ){
			zapto_header_style2();
		}else if( $zapto_header_style=='hstyle_3' ){
			zapto_header_style3();
		}else if( $zapto_header_style=='hstyle_4' ){
			zapto_header_style4();
		}else{
			zapto_header_style1();
		}
	}else{
		if( $zapto_hstyle_apply=='disable' ){
			
			if( $zapt_page_header=='style_1' ){
				zapto_header_style1();
			}else if( $zapt_page_header=='style_2' ){
				zapto_header_style2(); 
			}else if( $zapt_page_header=='style_3' ){
				zapto_header_style3(); 
			}else if( $zapt_page_header=='style_4' ){
				zapto_header_style4(); 
			}else{
				zapto_header_style1();
			}
			
		}else{
			zapto_header_style1();
		}
	}
?>