<?php

	function zapto_comment_list( $comment, $args, $depth ) {
	
		$GLOBALS['comment'] = $comment;
		
		switch ( $comment->comment_type ) :
			case 'pingback'  :
			case 'trackback' :
			?>
				<li class="post pingback">	
					<p>
						<?php esc_html_e( 'Pingback:', 'zapto'); ?>
						<?php comment_author_link(); ?>
						<?php edit_comment_link( esc_html_e('(Edit)', 'zapto'), ' ' ); ?>
					</p>
					</li>
			<?php
				break;
				
			default :
	
			?>
                <div class="media">
					<a class=" pull-left" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' )));?>">
					<?php echo get_avatar( $comment, 50 ); ?>
					</a>
					<div class="media-body">
						<h4 class="media-heading"><?php echo esc_attr(get_the_author_meta('display_name'));?></h4>
						<p><?php echo get_comment_time();?></p>
						<span><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></span>
						<div class="comments">
						<?php comment_text(); ?>
						</div>
                    </div>
				</div>
			<?php
				break;
		endswitch;
		
	}
?>