<?php
   /*	version: 1.0
	*   Package: Zapto
	*/
	
	//Hook Scripts and Styles used in Theme
	
	if(is_admin()){
		add_action('admin_enqueue_scripts','zapto_backend_scripts');
		add_action('admin_enqueue_scripts','zapto_backend_styles');
	}else{
		add_action('wp_enqueue_scripts','zapto_frontend_styles');
		add_action('wp_enqueue_scripts','zapto_frontend_scripts');

	}

	function zapto_frontend_styles(){
		
	global $post;
	$slider_style='';
	if(isset($post->ID)){
		$slider_style=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'slider_style',true);
	}
		wp_enqueue_style('zapto_bootstrap',ZAPTO_PATH.'/assets/css/bootstrap.min.css');
		wp_enqueue_style('zapto_animate',ZAPTO_PATH.'/assets/css/animate.css');	
		wp_enqueue_style('zapto_meanmenu',ZAPTO_PATH.'/assets/css/meanmenu.min.css');
		wp_enqueue_style('zapto_owl',ZAPTO_PATH.'/assets/css/owl.carousel.css');
		wp_enqueue_style('zapto_fawesome',ZAPTO_PATH.'/assets/css/font-awesome.min.css');	
		wp_enqueue_style('zapto_style',ZAPTO_PATH.'/style.css');		
		wp_enqueue_style('zapto_responsive',ZAPTO_PATH.'/assets/css/responsive.css');	
	if(!empty($slider_style)){
		if( $slider_style== 'style_1' ){
			wp_enqueue_style('zapto_nivo',ZAPTO_PATH.'/assets/custom-slider/css/nivo-slider.css');
			wp_enqueue_style('zapto_preview',ZAPTO_PATH.'/assets/custom-slider/css/preview.css');	
		}else if( $slider_style== 'style_2' ||  $slider_style== 'style_3' ){
			wp_enqueue_style('zapto_nivo',ZAPTO_PATH.'/assets/custom-slider2/css/nivo-slider.css');
			wp_enqueue_style('zapto_preview',ZAPTO_PATH.'/assets/custom-slider2/css/preview.css');	
		}
	}
		wp_enqueue_style('zapto_prettyPhoto',ZAPTO_PATH.'/assets/css/prettyPhoto.css');

	}
	function zapto_frontend_scripts(){
	
	global $post;
	$slider_style='';
	if(isset($post->ID)){
		$slider_style=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'slider_style',true);
	}
		
		wp_enqueue_script("jquery-bootstrap",ZAPTO_PATH."/assets/js/bootstrap.min.js",array('jquery'),true);
	
		wp_enqueue_script("jquery-modernizer",ZAPTO_PATH."/assets/js/vendor/modernizr-2.8.3.min.js",array('jquery'),true);
		
		wp_enqueue_script("jquery-owl",ZAPTO_PATH."/assets/js/owl.carousel.min.js",array('jquery'),true);
		
		wp_enqueue_script("jquery-meanmenu",ZAPTO_PATH."/assets/js/jquery.meanmenu.js",array('jquery'),true);
		
		wp_enqueue_script("jquery-mixitup",ZAPTO_PATH."/assets/js/jquery.mixitup.min.js",array('jquery'),true);
		
		wp_enqueue_script("jquery-isotope",ZAPTO_PATH."/assets/js/isotope.pkgd.min.js",array('jquery'),true);
		
		wp_enqueue_script("jquery-counter",ZAPTO_PATH."/assets/js/jquery.counterup.min.js",array('jquery'),true);
		
		wp_enqueue_script("jquery-waypoint",ZAPTO_PATH."/assets/js/waypoints.min.js",array('jquery'),true);
		
		wp_enqueue_script("jquery-wow",ZAPTO_PATH."/assets/js/wow.min.js",array('jquery'),true);
		if(!empty($slider_style)){
			if( $slider_style== 'style_1' ){
				
				wp_enqueue_script("jquery-nivo",ZAPTO_PATH."/assets/custom-slider/js/jquery.nivo.slider.js",array('jquery'),true);
					
				wp_enqueue_script("jquery-nivo1",ZAPTO_PATH."/assets/custom-slider/home.js",array('jquery'),true);
			}else if( $slider_style== 'style_2' || $slider_style== 'style_3' ){
				
				wp_enqueue_script("jquery-nivo",ZAPTO_PATH."/assets/custom-slider/js/jquery.nivo.slider.js",
				array('jquery'),true);
				
				wp_enqueue_script("jquery-nivo2",ZAPTO_PATH."/assets/custom-slider2/home.js",
				array('jquery'),true);
			}
		}
		
		wp_enqueue_script("jquery-prettyPhoto",ZAPTO_PATH."/assets/js/jquery.prettyphoto.js",array('jquery'),true);
		wp_enqueue_script("jquery-custom",ZAPTO_PATH."/assets/js/custom.js",array('jquery'),true);
	
		if ( is_singular() ){
			wp_enqueue_script( "comment-reply" );
		}

	}
	function zapto_backend_scripts(){
		wp_enqueue_script("jquery-panel",ZAPTO_PATH."/framework/scripts/panel_scripts.js",array('jquery'),true);
	}
	function zapto_backend_styles(){
		wp_enqueue_style('zapto_panel',ZAPTO_PATH.'/framework/css/panel.css');	
	}
?>