<?php 

	function zapto_header_style1(){
	
	global $post;
	$zapto_show_slider='';
	$zapto_show_hlogo=zapto_get_option('enable_header_text_logo');
	$zapto_logo_text=zapto_get_option('header_logo_text');
	$zapto_logo_subtext=zapto_get_option('header_logo_subtext');
	$zapto_img_logo=zapto_get_option('header-logo');
	if(isset($post->ID)){
		$zapto_page_title=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'page_title',true);
		$zapto_post_title=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'post_title',true);
		$zapto_show_slider=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'enable_slider',true);
	}
?>
	<!-- Header Area Start Here -->
	<header>
		<div class="header-area">
			<div class="container">
				<div class="row">
					<div class="col-lg-2 col-md-2 col-sm-12 col-xs-12">
					<?php if( $zapto_show_hlogo==true ){?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<span><?php echo esc_attr($zapto_logo_text);?></span>
							<?php echo esc_attr($zapto_logo_subtext);?></a>
						</div>
						<?php }else if($zapto_show_hlogo==false && !empty($zapto_img_logo['url'])){?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<img src="<?php echo esc_url($zapto_img_logo['url']);?>" />
							</a>
						</div>
						<?php }else{ ?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<img src="<?php echo esc_url(ZAPTO_IMAGES.'/logo.png');?>" /></a>
						</div>
						<?php } ?>
					</div>
					<div class="col-lg-10 col-md-10 col-sm-12 col-xs-12">
						<div class="main-menu">
						<?php 
							if ( has_nav_menu('header-menu' ) ) {
								echo zapto_header_menu('header-menu','main-menu','nav');
							}  
							if ( has_nav_menu('side-menu' ) ) {
						?>	
						<span class="right-slide" id="slideBotton"><i class="fa fa-bars" aria-hidden="true"></i></span>
						<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		    <div class="mobile-menu-area">
               <div class="container">
                   <div class="row">
                       <div class="col-md-12">
                           <div class="mobile-menu">
                               <nav id="dropdown">
								<?php 
								if ( has_nav_menu('mobile-menu' ) ) {
									echo zapto_header_menu('mobile-menu','mobile-menu','mobile-nav');
								}  
								?>		
                               </nav>
                           </div>          
                       </div>
                   </div>
               </div>
           </div>
	</header>
	<!-- Header Area End Here -->
	<?php 
	if($zapto_show_slider <> 'yes'){
	?>
	<!-- Inner Pages Header Section Start Here -->
	<div class="inner-page-header">
		<div class="container">
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
					<div class="inner-page">
					<?php 
					 if (is_category()) { 
						the_archive_title( '<h2>', '</h2>' );
					}else if(is_archive()){
						 the_archive_title( '<h2>', '</h2>' );
					}else if(is_404()){
					?> 
					<h2><?php echo esc_html_e('Page Not Found','zapto');?></h2>
					<?php	 
					}else if(is_search()){?>
						<h2><?php echo esc_html_e('Search Results For:','zapto');echo esc_attr(get_search_query());?></h2>
					<?php	
					}else if(is_single()){?>
						<h2><?php echo esc_attr(get_the_title());?></h2>
						<?php if(!empty($zapto_post_title)){?>
							<p><?php echo esc_attr($zapto_post_title);?></p>
						<?php } ?>
					<?php
					}else if(is_page()){?>
						<h2><?php echo esc_attr(get_the_title());?></h2>
						<?php if(!empty($zapto_page_title)){?>
							<p><?php echo esc_attr($zapto_page_title);?></p>
						<?php } ?>
					<?php	
					}else{?>
					<h2><?php echo esc_html_e('Blog','zapto');?></h2>
					<?php				
					}
					?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Inner Pages Header Section End Here -->
<?php
	}/*end of slider condition*/
	}/*end of style 1 condition*/
	
	function zapto_header_style2(){
	
	global $post;
	$zapto_show_slider='';
	$zapto_show_hlogo=zapto_get_option('enable_header_text_logo');
	$zapto_logo_text=zapto_get_option('header_logo_text');
	$zapto_logo_subtext=zapto_get_option('header_logo_subtext');
	$zapto_img_logo=zapto_get_option('header-logo');
	$zapto_page_title=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'page_title',true);
	$zapto_post_title=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'post_title',true);
	$zapto_show_slider=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'enable_slider',true);
	$zapt_slider_style=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'slider_style',true);

?>	
	<!-- Header Area Start Here -->
	<header class="home-four">
	<?php 
		if( $zapt_slider_style=='style_2' ){
			echo zapto_page_slider();
		}
	?>
		<div class="header-area">
			<div class="container">
				<div class="row">
					<div class="col-lg-2 col-md-2 col-sm-12 col-xs-12">
					<?php if( $zapto_show_hlogo==true ){?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<span><?php echo esc_attr($zapto_logo_text);?></span>
							<?php echo esc_attr($zapto_logo_subtext);?></a>
						</div>
						<?php }else if($zapto_show_hlogo==false && !empty($zapto_img_logo['url'])){?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<img src="<?php echo esc_url($zapto_img_logo['url']);?>" />
							</a>
						</div>
						<?php }else{ ?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<img src="<?php echo esc_url(ZAPTO_IMAGES.'/logo.png');?>" /></a>
						</div>
						<?php } ?>
					</div>
					<div class="col-lg-10 col-md-10 col-sm-12 col-xs-12">
						<div class="main-menu">
						<?php 
							if ( has_nav_menu('header-menu' ) ) {
								echo zapto_header_menu('header-menu','main-menu','nav');
							}  
							if ( has_nav_menu('side-menu' ) ) {
						?>	
						<span class="right-slide" id="slideBotton"><i class="fa fa-bars" aria-hidden="true"></i></span>
						<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		    <div class="mobile-menu-area">
               <div class="container">
                   <div class="row">
                       <div class="col-md-12">
                           <div class="mobile-menu">
                               <nav id="dropdown">
								<?php 
								if ( has_nav_menu('mobile-menu' ) ) {
									echo zapto_header_menu('mobile-menu','mobile-menu','mobile-nav');
								}  
								?>		
                               </nav>
                           </div>          
                       </div>
                   </div>
               </div>
           </div>
	</header>
	<!-- Header Area End Here -->
	<?php 
	if($zapto_show_slider <> 'yes'){
	?>
	<!-- Inner Pages Header Section Start Here -->
	<div class="inner-page-header">
		<div class="container">
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
					<div class="inner-page">
					<?php 
					 if (is_category()) { 
						the_archive_title( '<h2>', '</h2>' );
					}else if(is_archive()){
						 the_archive_title( '<h2>', '</h2>' );
					}else if(is_404()){
					?> 
					<h2><?php echo esc_html_e('Page Not Found','zapto');?></h2>
					<?php	 
					}else if(is_search()){?>
						<h2><?php echo esc_html_e('Search Results For:','zapto');echo esc_attr(get_search_query());?></h2>
					<?php	
					}else if(is_single()){?>
						<h2><?php echo esc_attr(get_the_title());?></h2>
						<?php if(!empty($zapto_post_title)){?>
							<p><?php echo esc_attr($zapto_post_title);?></p>
						<?php } ?>
					<?php
					}else if(is_page()){?>
						<h2><?php echo esc_attr(get_the_title());?></h2>
						<?php if(!empty($zapto_page_title)){?>
							<p><?php echo esc_attr($zapto_page_title);?></p>
						<?php } ?>
					<?php	
					}else{?>
					<h2><?php echo esc_html_e('Blog','zapto');?></h2>
					<?php				
					}
					?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Inner Pages Header Section End Here -->
<?php		
	}/*end of slider condition*/
	}/*end of style 2 condition*/
	
	function zapto_header_style3(){
	
	global $post;
	$zapto_show_slider='';
	$zapto_page_title=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'page_title',true);
	$zapto_post_title=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'post_title',true);
	$zapto_show_slider=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'enable_slider',true);
?>
    <!-- Header Area Start Here -->
	<header class="home-five">
		<div class="header-area">
			<div class="container">
				<div class="row">
					<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
						<div class="main-menu">
							<nav>
							<?php 
							if ( has_nav_menu('header-menu' ) ) {
								echo zapto_center_logo_menu('header-menu','top-menu','menu');
							}  
							?>		
							</nav>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="mobile-menu-area">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<div class="mobile-menu">
							<nav id="dropdown">
							<?php 
							if( has_nav_menu('mobile-menu' ) ){
								echo zapto_header_menu('mobile-menu','mobile-menu','mobile-nav');
							}  
							?>	
							</nav>
						</div>          
					</div>
				</div>
			</div>
		</div>
    <header>
	<!-- Header Area End Here -->
	<?php 
	if($zapto_show_slider <> 'yes'){
	?>
	<!-- Inner Pages Header Section Start Here -->
	<div class="inner-page-header">
		<div class="container">
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
					<div class="inner-page">
					<?php 
					 if (is_category()) { 
						the_archive_title( '<h2>', '</h2>' );
					}else if(is_archive()){
						 the_archive_title( '<h2>', '</h2>' );
					}else if(is_404()){
					?> 
					<h2><?php echo esc_html_e('Page Not Found','zapto');?></h2>
					<?php	 
					}else if(is_search()){?>
						<h2><?php echo esc_html_e('Search Results For:','zapto');echo esc_attr(get_search_query());?></h2>
					<?php	
					}else if(is_single()){?>
						<h2><?php echo esc_attr(get_the_title());?></h2>
						<?php if(!empty($zapto_post_title)){?>
							<p><?php echo esc_attr($zapto_post_title);?></p>
						<?php } ?>
					<?php
					}else if(is_page()){?>
						<h2><?php echo esc_attr(get_the_title());?></h2>
						<?php if(!empty($zapto_page_title)){?>
							<p><?php echo esc_attr($zapto_page_title);?></p>
						<?php } ?>
					<?php	
					}else{?>
					<h2><?php echo esc_html_e('Blog','zapto');?></h2>
					<?php				
					}
					?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Inner Pages Header Section End Here -->
<?php
	}/*end of slider condition*/
	}/*end of style 3 condition*/
	
	function zapto_header_style4(){
	
	global $post;
	$zapto_show_slider='';
	$zapto_show_hlogo=zapto_get_option('enable_header_text_logo');
	$zapto_logo_text=zapto_get_option('header_logo_text');
	$zapto_logo_subtext=zapto_get_option('header_logo_subtext');
	$zapto_img_logo=zapto_get_option('header-logo');
	$zapto_page_title=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'page_title',true);
	$zapto_post_title=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'post_title',true);
	$zapto_show_slider=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'enable_slider',true);
	
?>
	<!-- Header Area Start Here -->
	<header class="home-seven">
		<div class="header-area">
			<div class="container">
				<div class="row">
					<div class="col-lg-2 col-md-2 col-sm-12 col-xs-12">
					<?php if( $zapto_show_hlogo==true ){?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<span><?php echo esc_attr($zapto_logo_text);?></span>
							<?php echo esc_attr($zapto_logo_subtext);?></a>
						</div>
						<?php }else if($zapto_show_hlogo==false && !empty($zapto_img_logo['url'])){?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<img src="<?php echo esc_url($zapto_img_logo['url']);?>" />
							</a>
						</div>
						<?php }else{ ?>
						<div class="logo-area">
							<a href="<?php echo esc_url(home_url('/'));?>">
							<img src="<?php echo esc_url(ZAPTO_IMAGES.'/logo.png');?>" /></a>
						</div>
						<?php } ?>
					</div>
					<div class="col-lg-10 col-md-10 col-sm-12 col-xs-12">
						<div class="main-menu">
						<?php 
							if ( has_nav_menu('header-menu' ) ) {
								echo zapto_header_menu('header-menu','main-menu','nav');
							} 
							if ( has_nav_menu('side-menu' ) ) {
						?>	
						<span class="right-slide" id="slideBotton"><i class="fa fa-bars" aria-hidden="true"></i></span>
						<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		    <div class="mobile-menu-area">
               <div class="container">
                   <div class="row">
                       <div class="col-md-12">
                           <div class="mobile-menu">
                               <nav id="dropdown">
								<?php 
								if ( has_nav_menu('mobile-menu' ) ) {
									echo zapto_header_menu('mobile-menu','mobile-menu','mobile-nav');
								}  
								?>		
                               </nav>
                           </div>          
                       </div>
                   </div>
               </div>
           </div>
	</header>
	<!-- Header Area End Here -->
	<?php 
	if($zapto_show_slider <> 'yes'){
	?>
	<!-- Inner Pages Header Section Start Here -->
	<div class="inner-page-header">
		<div class="container">
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
					<div class="inner-page">
					<?php 
					 if (is_category()) { 
						the_archive_title( '<h2>', '</h2>' );
					}else if(is_archive()){
						 the_archive_title( '<h2>', '</h2>' );
					}else if(is_404()){
					?> 
					<h2><?php echo esc_html_e('Page Not Found','zapto');?></h2>
					<?php	 
					}else if(is_search()){?>
						<h2><?php echo esc_html_e('Search Results For:','zapto');echo esc_attr(get_search_query());?></h2>
					<?php	
					}else if(is_single()){?>
						<h2><?php echo esc_attr(get_the_title());?></h2>
						<?php if(!empty($zapto_post_title)){?>
							<p><?php echo esc_attr($zapto_post_title);?></p>
						<?php } ?>
					<?php
					}else if(is_page()){?>
						<h2><?php echo esc_attr(get_the_title());?></h2>
						<?php if(!empty($zapto_page_title)){?>
							<p><?php echo esc_attr($zapto_page_title);?></p>
						<?php } ?>
					<?php	
					}else{?>
					<h2><?php echo esc_html_e('Blog','zapto');?></h2>
					<?php				
					}
					?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Inner Pages Header Section End Here -->
<?php
	
	}/*end of slider condition*/
	}/*end of style 4 condition*/
	
	function zapto_side_menu(){
?>	
	<!-- Slide Menu Section Start Here -->
	<div class="slide-menu-area" id="sideSlide">
		<?php 
			if ( has_nav_menu('side-menu' ) ) {
				echo zapto_header_menu('side-menu','side_menu','right_nav');
			}  
		?>
	</div>
<?php		
	}
	function zapto_header_menu( $location='',$class='', $id='' ){

		/* Main Menu parameters */
		$defaults = array(
		'theme_location'  => $location,
		'menu'            => '', 
		'container'       => '', 
		'container_id'    => '',
		'menu_class'      => $class,
		'menu_id'     	  => $id,
		'echo'            => true,
		'link_before'     => '',
		'link_after'      => '',
		'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
		'depth'           => 0,
		'walker'          => '',);	
		if(has_nav_menu($location)){ 
			wp_nav_menu( $defaults);
		}
	}
	function zapto_center_logo_menu( $location='',$class='', $id='' ){

		/* Main Menu parameters */
		$defaults = array(
		'theme_location'  => $location,
		'menu'            => '', 
		'container'       => '', 
		'container_id'    => '',
		'menu_class'      => $class,
		'menu_id'     	  => $id,
		'echo'            => true,
		'link_before'     => '',
		'link_after'      => '',
		'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
		'depth'           => 0,
		'walker'          => new zapto_walker_nav_menu());	
		if(has_nav_menu($location)){ 
			wp_nav_menu( $defaults);
		}
	}
?>