<?php 
	
get_header(); 

if ( have_posts() ){ while (have_posts()){ the_post();
	global $post;
	$zapto_show_sidebar=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'show_post_sidebar',true);
	$zapto_post_sidebar=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'post_sidebar',true);
	$zapto_sidebar_class=zapto_sidebar_func($zapto_show_sidebar);
	$zapto_show_meta=zapto_get_option('show_postmeta');
	$zapto_show_link=zapto_get_option('show_single_link');
	
?>
	    <!-- Single Blog Pages Start Here -->
        <div class="single-blog-page-area">
            <div class="container">
                <div class="row">
				<?php
				if($zapto_show_sidebar == 'left-sidebar'){ ?>
				<div id="sidebar_left" class="page-sidebar-area <?php echo esc_attr($zapto_sidebar_class[1]);?>">
				<?php 
				if(is_active_sidebar($zapto_post_sidebar))
					dynamic_sidebar( $zapto_post_sidebar );
				?>
				</div>
				<?php 
					}
				?>
				<div id="post-<?php the_ID(); ?>"class="<?php echo esc_attr($zapto_sidebar_class[0]);?> col-xs-12">
					<div class="single-blog-content">
						<div class="single-blog">
						  <div class="single-blog-images">
							<a href="<?php echo esc_url(get_the_permalink($post->ID));?>">
							<?php echo get_the_post_thumbnail($post->ID,array(770,330));?>
							</a>
							<span><?php echo esc_attr(get_the_date(get_option('date_format')));?></span>
						  </div>
						<?php if( $zapto_show_meta==1 ){ ?>
						  <p class="details">
						  <?php esc_html_e('Posted By ','zapto');?> 
						  <span><?php echo esc_attr(get_the_author_meta('display_name'));?></span>
						  </p>
						<?php } ?>
						<?php 
							the_content();
							wp_link_pages(array(
							'before'=> '<div class="page-links"><span class="page-links-title">' .esc_html__( 'Pages:', 'zapto' ) . '</span>',
							'after'       => '</div>',
							'link_before' => '<span>',
							'link_after'  => '</span>',
							));
						?>
						<?php if( $zapto_show_link==1 ){ ?> 
						  <div class="read-more"><a href="<?php echo esc_url(get_the_permalink($post->ID));?>"><?php esc_html_e('Read More','zapto');?>
						  <i class="fa fa-long-arrow-right" aria-hidden="true"></i></a>
						  </div>
						<?php } ?>
						</div>
						<?php comments_template(); ?>
					</div>
				</div> 
				<?php
				if( $zapto_show_sidebar == "right-sidebar" ){ ?>
					<div id="sidebar_right" class="page-sidebar-area <?php echo esc_attr($zapto_sidebar_class[1]);?>">
					<?php 
					if(is_active_sidebar($zapto_post_sidebar))
						dynamic_sidebar( $zapto_post_sidebar );
					?>
					</div>
				<?php } ?> 
                </div>
            </div>
        </div>
        <!-- Single Blog Pages End Here -->
<?php
	
	} /* endwhile loop */
} /* endif condition */

?>
<div class="clear"></div>
<?php get_footer(); ?>